RuntimeOperationsException (Java SE 9 & JDK 9 )
Keywords: javax.management.RuntimeOperationsException class

Module java.management
Package javax.management

## Class RuntimeOperationsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.management.JMRuntimeException
        - - javax.management.RuntimeOperationsException

- All Implemented Interfaces:
    `Serializable`

      public class RuntimeOperationsException
      extends JMRuntimeException

  Represents runtime exceptions thrown in the agent when performing operations on MBeans. It wraps the actual `java.lang.RuntimeException` thrown.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RuntimeOperationsException​(RuntimeException e)` | Creates a `RuntimeOperationsException` that wraps the actual `java.lang.RuntimeException`.
    `RuntimeOperationsException​(RuntimeException e, String message)` | Creates a `RuntimeOperationsException` that wraps the actual `java.lang.RuntimeException` with a detailed message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Throwable` | `getCause​()` | Returns the actual `RuntimeException` thrown.
    `RuntimeException` | `getTargetException​()` | Returns the actual `RuntimeException` thrown.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### RuntimeOperationsException

          public RuntimeOperationsException​(RuntimeException e)

      Creates a `RuntimeOperationsException` that wraps the actual `java.lang.RuntimeException`.
      Parameters:
        `e` - the wrapped exception.

    - #### RuntimeOperationsException

          public RuntimeOperationsException​(RuntimeException e,
                                            String message)

      Creates a `RuntimeOperationsException` that wraps the actual `java.lang.RuntimeException` with a detailed message.
      Parameters:
        `e` - the wrapped exception.
        `message` - the detail message.

  - ### Method Detail

    - #### getTargetException

          public RuntimeException getTargetException​()

      Returns the actual `RuntimeException` thrown.
      Returns:
        the wrapped `RuntimeException`.

    - #### getCause

          public Throwable getCause​()

      Returns the actual `RuntimeException` thrown.
      Overrides:
        `getCause` in class `Throwable`
      Returns:
        the wrapped `RuntimeException`.